Bug 440466 - fpki1.0 doc pkicreate - make copy paste of example easier
fpki1.0 doc pkicreate - make copy paste of example easier
Status: CLOSED CURRENTRELEASE
Product: Dogtag Certificate System
Classification: Community
Component: Tools - Java (Show other bugs)
1.0
All Linux
low Severity low
: 1.0
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 445047
  Show dependency treegraph
 
Reported: 2008-04-03 13:31 EDT by Marc Sauton
Modified: 2015-01-04 18:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-04 15:59:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Sauton 2008-04-03 13:31:16 EDT
Description of problem:

Minor doc / online help suggestion:

add tailing backslash to pkicreate example to have easy copy and paste.
some examples in other tools already have trailing backslashes.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

pkicreate
...
Example:  pkicreate -pki_instance_root=/var/lib
                    -pki_instance_name=pki-ca1
                    -subsystem_type=ca
                    -secure_port=9543
                    -unsecure_port=9180
                    -tomcat_server_port=1801
                    -user=pkiuser
                    -group=pkiuser
                    -redirect conf=/export/pki/pki-ca1/conf
                    -redirect logs=/export/pki/pki-ca1/logs
                    -verbose


Expected results:
pkicreate
...
Example:  pkicreate -pki_instance_root=/var/lib \
                    -pki_instance_name=pki-ca1 \
                    -subsystem_type=ca \
                    -secure_port=9543 \
                    -unsecure_port=9180 \
                    -tomcat_server_port=1801 \
                    -user=pkiuser \
                    -group=pkiuser \
                    -redirect conf=/export/pki/pki-ca1/conf \
                    -redirect logs=/export/pki/pki-ca1/logs \
                    -verbose



Additional info:
Comment 1 Bob Lord 2008-04-03 15:26:58 EDT
Good idea.
Comment 2 Bob Lord 2008-04-04 12:48:29 EDT
Marc, can you supply the URL you were looking at?
Comment 3 Matthew Harmsen 2008-04-04 18:30:27 EDT
This is not from a URL, but rather a command-line tool.
Comment 4 Matthew Harmsen 2008-04-11 17:33:04 EDT
We should be careful here -- the example provided is one of a kind for a CA
only, and most of the ports as well as the subsystem_type and instance name will
not necessarily contain "ca".
Comment 5 Matthew Harmsen 2010-01-15 12:34:38 EST
This was corrected in RHCS 8.0:

###############################################################################
###   EXAMPLE:  PKI (Apache) subsystem instance creation of a TPS           ###
###############################################################################

pkicreate -pki_instance_root=/var/lib      \
          -pki_instance_name=pki-tps1      \
          -subsystem_type=tps              \
          -secure_port=7989                \
          -non_clientauth_secure_port=7990 \
          -unsecure_port=7988              \
          -user=pkiuser                    \
          -group=pkiuser                   \
          -redirect conf=/etc/pki-tps1     \
          -redirect logs=/var/log/pki-tps1 \
          -verbose

###############################################################################
###   EXAMPLE:  PKI (Tomcat) subsystem instance creation of a CA            ###
###############################################################################

pkicreate -pki_instance_root=/var/lib     \
          -pki_instance_name=pki-ca1      \
          -subsystem_type=ca              \
          -agent_secure_port=9543         \
          -ee_secure_port=9544            \
          -admin_secure_port=9545         \
          -unsecure_port=9580             \
          -tomcat_server_port=9801        \
          -user=pkiuser                   \
          -group=pkiuser                  \
          -redirect conf=/etc/pki-ca1     \
          -redirect logs=/var/log/pki-ca1 \
          -verbose

Note You need to log in before you can comment on or make changes to this bug.